%define ver 2.7.5
%define rel 1mdk
%define name yudit

Name: %{name}
Version: %{ver}
Release: %{rel}
Group: Editors
BuildRequires: XFree86-devel
BuildRequires: freetype-devel
BuildRequires: gettext
License: GPL

Source0: http://www.yudit.org/download/yudit-%{version}.tar.bz2
Source2: %{name}.menu
Source3: icons-%{name}.tar.bz2
# Here I define the directories with ttf files; and several ttf fonts
# we provide or that are widely used, in order to cover the most of unicode
# if this patch doesn't work after an upgrade please try to fix it (it is
# a very simple three-lines one) rather than discarding, as discarding it
# means we lose out-of-the box support for various languages -- pablo
#Patch0: yudit-2.7.2-properties.patch.bz2
# patches from yudit web site
Patch1: yudit-2.7.5.patch1.txt
Patch2: yudit-2.7.5.patch2.txt
Patch3: yudit-2.7.5.patch3.txt

URL: http://www.yudit.org/
Summary: Unicode Text Editor
BuildRoot: %{_tmppath}/yudit-root

%description
Yudit is a unicode text editor for the X Window System.
It does not need localized environment or unicode fonts.
It supports simultanious processing of many languages,
input methods, conversions for local character standards.
This package includes X11 editor interface, shell conversion
utilities and it also has support for postscript printing.
GNU (C) Gaspar Sinai <gsinai@iname.com> 

%prep
%setup -q

#%patch0 -p1 -b .srtxg
%patch1 -p1 -b .patch1
%patch2 -p1 -b .patch2
%patch3 -p1 -b .patch3

%build

%configure
find . -type f -exec perl -pi -e s/fno-exceptions/fexceptions/g {} \;
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}
%makeinstall


install -m 755 -d $RPM_BUILD_ROOT%{_libdir}/menu
install -m 644 %SOURCE2 $RPM_BUILD_ROOT%{_libdir}/menu/%{name}
cd $RPM_BUILD_DIR/%{name}-%{version}

#mdk menu
install -d $RPM_BUILD_ROOT%{_iconsdir}
tar xvjf %{SOURCE3} -C $RPM_BUILD_ROOT%{_iconsdir}

# yudit uses non standard translation directory; %find_lang cannot be used
#%find_lang %{name}

# rpm complains and fails when there are installed but unpackaged files
# as we don't include those in the package, we delete them from the
# build tree -- pablo
rm -rf $RPM_BUILD_ROOT%{_datadir}/yudit/src

%clean
rm -rf $RPM_BUILD_ROOT

%post
## menu
%{update_menus}

%postun
## menu
%{clean_menus}


#%files -f {name}.lang
%files 
%defattr (-, root, root, 755)
%doc [A-Z][A-Z]* doc/ tests/text
%{_bindir}/*
%{_mandir}/man?/*
%dir %{_datadir}/yudit
%dir %{_datadir}/yudit/data
%dir %{_datadir}/yudit/doc
%dir %{_datadir}/yudit/config
%dir %{_datadir}/yudit/fonts
%_datadir/yudit/data/*
%_datadir/yudit/doc/*
%_datadir/yudit/config/*
%_datadir/yudit/fonts/*
# MDK menu entry
%{_menudir}/%{name}
%{_iconsdir}/*
# non standard translation directory
%dir %{_datadir}/yudit/locale
%lang(am) %{_datadir}/yudit/locale/am
%lang(ar) %{_datadir}/yudit/locale/ar
%lang(az) %{_datadir}/yudit/locale/az
%lang(bg) %{_datadir}/yudit/locale/bg
%lang(bn) %{_datadir}/yudit/locale/bn
%lang(cs) %{_datadir}/yudit/locale/cs
%lang(de) %{_datadir}/yudit/locale/de
%lang(en) %{_datadir}/yudit/locale/en
%lang(el) %{_datadir}/yudit/locale/el
%lang(es) %{_datadir}/yudit/locale/es
%lang(fi) %{_datadir}/yudit/locale/fi
%lang(fr) %{_datadir}/yudit/locale/fr
%lang(hi) %{_datadir}/yudit/locale/hi
%lang(hu) %{_datadir}/yudit/locale/hu
%lang(ja) %{_datadir}/yudit/locale/ja
%lang(ko) %{_datadir}/yudit/locale/ko
%lang(mn) %{_datadir}/yudit/locale/mn
%lang(pl) %{_datadir}/yudit/locale/pl
%lang(ru) %{_datadir}/yudit/locale/ru
%lang(sl) %{_datadir}/yudit/locale/sl
%lang(sr) %{_datadir}/yudit/locale/sr
%lang(ta) %{_datadir}/yudit/locale/ta
%lang(uk) %{_datadir}/yudit/locale/uk
%lang(ur) %{_datadir}/yudit/locale/ur
%lang(vi) %{_datadir}/yudit/locale/vi
%lang(yi) %{_datadir}/yudit/locale/yi
%lang(zh) %{_datadir}/yudit/locale/zh

%changelog
* Mon Jul 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.7.5-1mdk
- 2.7.5
- drop and update patches
- add new locales

* Fri Jan 10 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 2.7.2-1mdk
- updated version to 2.7.2

* Wed Nov 06 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 2.6.4-1mdk
- updated version to 2.6.4

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.6.2-3mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.6.2-2mdk
- Automated rebuild with gcc3.2

* Fri Jul 12 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 2.6.2-1mdk

* Wed May 29 2002 Stefan van der Eijk <stefan@eijk.nu> 2.6-2mdk
- BuildRequires

* Fri May 03 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 2.6-1mdk
- updated to 2.6

* Mon Jan 28 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 2.5.2-1mdk
- updated to 2.5.2, with OpenType support

* Fri Jan 18 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 2.5-3mdk
- Rebuild with an improved list of default ttf fonts

* Thu Dec 27 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.5-2mdk
- General cleanup.

* Thu Dec 27 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.5-1mdk
- 2.5 for general consumption.

* Wed Aug 29 2001 David BAUDENS <baudens@mandrakesoft.com> 2.4-2mdk
- Use new icons

* Sun Apr 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4-1mdk
- Bump up to 2.4.
- Apply official yudit patch 1 for 2.4.

* Tue Feb 13 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.3-1mdk
- Bump up to 2.3 in cooker.

* Tue Jan 23 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.2-1mdk
- new and shiny source.
- use -j instead of -I when uncompressing bzip2 files with tar.

* Fri Jan 19 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.1-1mdk
- new and shiny source.

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.5-8mdk
- Rebuild with gcc-2.96 & glibc-2.2

* Mon Oct 02 2000 Daouda Lo <daouda@mandrakesoft.com> 1.5-7mdk
- change icons + more macrozif..
- use find_lang macro.
- let spechelper do its job ;-)
- patched to prevent yudit to find Tahoma font
- add some kmap files
 
* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.5-6mdk
- automatically added BuildRequires

* Sun Jul 23 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.5-5mdk
- makeinstall macro
- macroszifications
- BM
- Geoffrey Lee <snailtalk@mandrakesoft.com>
  - update menus and clean menus macro
  - tmppath
  - full src url

* Tue May  2 2000 Vincent Saugey <vince@mandrakesoft.com> 1.5-4mdk
- Fixed menu entry
- Add 16 and 32 icons

* Tue May 02 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.5-3mdk
- added URLs, now Yudit has its own web page!
- added a menu entry

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.5-2mdk
- fixed group

* Wed Dec 01 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- updated to 1.5
- merged with Nguyen-Dai Quy <daiquy.nguyen@ulg.ac.be> changes:
  added vietnamese locale (contributed by Lai Hoa`i Trie^'t
  <thlai@mail.usyd.edu.au>)

* Thu Nov  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix compilation with gcc2.95.

* Mon Aug 09 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- cleaned %files
- added more encodings

* Sun Jul 18 1999 NGUYEN-DAI Quy <DaiQuy.Nguyen@ulg.ac.be>
- Added "telex" input Method for Vietnamese (VNtelex.kmap).
- Modified "vn.utf8" --> "vi.utf8"
- Added "fr.utf8" for French

* Wed Jul 14 1999 Triet H. Lai <thlai@ee.usyd.edu.au>
- Updated to version 1.3
- Added Vietnamese locale, unicode maps for VPS, TCVN,
  and system config file (yuditrc.vn).

